Canvas.Darkness = Canvas:New("Darkness")

function Canvas.Darkness:Reset()
	love.graphics.setCanvas(Canvas.Darkness.canvas)
	love.graphics.setBlendMode("replace")
	love.graphics.setColor(0,0,0,0.95)
	love.graphics.rectangle(
		"fill",
		0,
		0,
		self.width,
		self.height
	)
	love.graphics.setCanvas()
end
